[BACK]Return to Makefile.common CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / graphics / ruby-clutter

File: [cvs.NetBSD.org] / pkgsrc / graphics / ruby-clutter / Attic / Makefile.common (download)

Revision 1.5, Wed Sep 21 15:26:46 2011 UTC (9 years, 1 month ago) by taca
Branch: MAIN
CVS Tags: pkgsrc-2013Q1-base, pkgsrc-2013Q1, pkgsrc-2012Q4-base, pkgsrc-2012Q4, pkgsrc-2012Q3-base, pkgsrc-2012Q3, pkgsrc-2012Q2-base, pkgsrc-2012Q2, pkgsrc-2012Q1-base, pkgsrc-2012Q1, pkgsrc-2011Q4-base, pkgsrc-2011Q4, pkgsrc-2011Q3-base, pkgsrc-2011Q3
Changes since 1.4: +1 -3 lines

Move RUBY_VERSION_SUPPORTED=18 restriction to each Makefile from
graphics/ruby-clutter/Makefile.common, making it really work.

A short discussion with joerg@.  Thanks Joerg.

# $NetBSD: Makefile.common,v 1.5 2011/09/21 15:26:46 taca Exp $
#
# used by graphics/ruby-clutter-cairo/Makefile
# used by graphics/ruby-clutter-core/Makefile
# used by graphics/ruby-clutter-gtk/Makefile
# used by multimedia/ruby-clutter-gst/Makefile

DISTNAME=		rbclutter-0.8.0
CATEGORIES+=		ruby
MASTER_SITES=		http://rubyforge.org/frs/download.php/40834/

DISTINFO_FILE=		${.CURDIR}/../../graphics/ruby-clutter/distinfo
PATCHDIR=		${.CURDIR}/../../graphics/ruby-clutter/patches

MAINTAINER=		obache@NetBSD.org
HOMEPAGE=		http://rubyforge.org/projects/rbclutter/
LICENSE=		gnu-lgpl-v2.1

VERSION=		0.8.0

.if defined(NO_BUILD) && empty(NO_BUILD:M[Nn][Oo])
.include "../../lang/ruby/rubyversion.mk"
.else
USE_RUBY_EXTCONF=	yes
.include "../../lang/ruby/modules.mk"
.endif

.include "../../mk/bsd.pkg.mk"